<?php

/*-----------------------------------------------------------------------------------*/
/* REDUX - speciable */
/*-----------------------------------------------------------------------------------*/

// editor style

add_action( 'init', 'sorsele_add_editor_styles' );
function sorsele_add_editor_styles() {
	$font_url = add_query_arg( 'family', urlencode( 'Jost:400,500,600,700,800,900,400italic,500italic,600italic,700italic,800italic&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
 	add_editor_style(  array($font_url, 'styles/reduxfall.css') );
}


//credit link
add_action('wp_footer', 'dnnc_bck_lnk');
function dnnc_bck_lnk(){ ?>
	<div class="dnnc_bck_lnk dnnc_border">
    <div class="dnnc_container">
      <a target="_blank" title="Minimalistic WordPress Themes" href="http://dannci.com">Designed by Dannci</a>
    </div>
  </div>
<?php };

// detect plugin 
if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
} else {
	
	function sorsele_enqueue_reduxfall() {
		
		// Redux fallback
		wp_enqueue_style('reduxfall', get_template_directory_uri() . '/styles/reduxfall.css');
	
		// google link
		function dnnc_fonts_url() {
			$font_url = '';
			if ( 'off' !==  esc_attr_x( 'on', 'Google font: on or off','sorsele')) {
				$font_url = add_query_arg( 'family', urlencode( 'Jost:400,500,600,700,400italic,700italic&subset=latin,latin-ext' ), "//fonts.googleapis.com/css" );
			}
			return $font_url;
		}
		wp_enqueue_style( 'dnnc-fonts', dnnc_fonts_url(), array(), '1.0.0' );
		
	}
	add_action( 'wp_enqueue_scripts', 'sorsele_enqueue_reduxfall' );
	
}



// one click import - detect plugin 
if ( class_exists( 'OCDI_Plugin' ) ) {

function dnnc_import_files() {
  return array(
  
  
  	// DEFAULT
    array(
      'import_file_name'           	=> 	'Default Demo',
      'import_file_url'            	=> 	'http://dannci.com/import/sorsele/sorsele.xml',
      'import_widget_file_url'     	=> 	'http://dannci.com/import/sorsele/sorsele-widgets.wie',
      'import_redux' => array(
				  array(
					'file_url'    	=> 	'http://dannci.com/import/sorsele/sorsele-redux.json',
					'option_name' 	=> 	'dannci_redux',
				  ),
      ),
      'import_preview_image_url'   	=> 	'http://dannci.com/import/sorsele/sorsele-screenshot.png',
      'preview_url'                	=> 	'http://dannci.com/demo/sorsele/',
    ),

	
	
	
	
	// END OF ARRAY
	
  );
}
add_filter( 'pt-ocdi/import_files', 'dnnc_import_files' );


function dnnc_after_import_setup() {
    $main_menu = get_term_by( 'name', 'Main menu', 'nav_menu' );
    $bottom_menu = get_term_by( 'name', 'Footer menu', 'nav_menu' );

    set_theme_mod( 'nav_menu_locations', array(
            'main-menu' => $main_menu->term_id,
            'bottom-menu' => $bottom_menu->term_id,
        )
    );

    // Assign front page and posts page (blog page).
    $front_page_id = get_page_by_title( 'Home' );
    $blog_page_id  = get_page_by_title( 'News' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );
    update_option( 'page_for_posts', $blog_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'dnnc_after_import_setup' );

add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

}

/*-----------------------------------------------------------------------------------*/
/* THE END */
/*-----------------------------------------------------------------------------------*/
?>